GET
https://api.cryptohopper.com/v1/market/signals
Returns the signal providers you can subscribe to in the marketplace, sorted by name. Only signals that are sold in the mobile app or are free are included.
exchanges is a comma separated list of exchange keys.
Example request
curl "https://api.cryptohopper.com/v1/market/signals" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/market/signals', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/market/signals",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/market/signals');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": [
{
"signal_id": "42",
"price": "29.00",
"price_id": "12",
"plan_id": "55",
"name": "Alpha Signals",
"description": "Momentum signals on major USDT pairs.",
"logo": "https://cdn.cryptohopper.com/images/signals/42.png",
"type": "signal",
"feature_image": "https://cdn.cryptohopper.com/images/signals/42_feature.png",
"subscription_price": "29.00",
"subscription_fee_currency": "USD",
"subscription_fee": "29.00",
"exchanges": "binance,kucoin",
"performance_pct": "12.50",
"rating": "4.25000",
"total_votes": "8",
"risk_level": "medium",
"link": "https://www.cryptohopper.com/signaller?signaller_id=42",
"available_in_app": "1"
}
]
}